%define rname protobuf

Name: %rname-compat
Version: 2.0.2
Release: alt2
Summary: Protocol Buffers - Google's data interchange format
License: Apache License 2.0
Group: System/Legacy libraries
Url: http://code.google.com/p/protobuf/
Packager: Mikhail A Pokidko <pma@altlinux.ru>

Source: %name-%version.tar

# Automatically added by buildreq on Wed Nov 19 2008
BuildRequires: gcc-c++ glibc-devel-static python-devel

%description
Protocol Buffers are a way of encoding structured data in
an efficient yet extensible format. Google uses Protocol Buffers for
almost all of its internal RPC protocols and file formats.

%package -n lib%rname
Summary: Protocol Buffers - Google's data interchange format
Group: System/Legacy libraries
Obsoletes: libprotobuf <= 2.0.0-alt1

%description -n lib%rname
Protocol Buffers are a way of encoding structured data in
an efficient yet extensible format. Google uses Protocol Buffers for
almost all of its internal RPC protocols and file formats.


%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%makeinstall_std

%files -n lib%rname
%doc CONTRIBUTORS.txt README.txt examples/
%_libdir/*.so.*

%changelog
* Thu Jun 18 2009 Mikhail Pokidko <pma@altlinux.org> 2.0.2-alt2
- Fixed gcc4.4 build errors. Compat so.2-library.

* Mon Nov 17 2008 Mikhail Pokidko <pma@altlinux.org> 2.0.2-alt1
- Building protobuf with new subpackages structure and with python binding

* Wed Jul 23 2008 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt1
- initial build for ALT Linux Sisyphus (2.0.0 beta)
